var __values = this && this.__values || function (o) {
  var s = typeof Symbol === "function" && Symbol.iterator,
      m = s && o[s],
      i = 0;
  if (m) return m.call(o);
  if (o && typeof o.length === "number") return {
    next: function next() {
      if (o && i >= o.length) o = void 0;
      return {
        value: o && o[i++],
        done: !o
      };
    }
  };
  throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};

export var loadScript = function loadScript(url, options) {
  if (options === void 0) {
    options = {};
  }

  var findScript = function findScript() {
    var e_1, _a;

    var list = document.getElementsByTagName('script');

    try {
      for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
        var item = list_1_1.value;

        if (item.src === url) {
          return item;
        }
      }
    } catch (e_1_1) {
      e_1 = {
        error: e_1_1
      };
    } finally {
      try {
        if (list_1_1 && !list_1_1.done && (_a = list_1["return"])) _a.call(list_1);
      } finally {
        if (e_1) throw e_1.error;
      }
    }

    return null;
  };

  return new Promise(function (resolve) {
    var e_2, _a;

    var old = findScript();

    if (old) {
      return resolve(url);
    }

    var el = document.createElement('script');

    try {
      for (var _b = __values(Object.keys(options)), _c = _b.next(); !_c.done; _c = _b.next()) {
        var key = _c.value;
        el[key] = options[key];
      }
    } catch (e_2_1) {
      e_2 = {
        error: e_2_1
      };
    } finally {
      try {
        if (_c && !_c.done && (_a = _b["return"])) _a.call(_b);
      } finally {
        if (e_2) throw e_2.error;
      }
    }

    el.src = url;

    el.onload = function () {
      return resolve(url);
    };

    document.body.appendChild(el);
    return 'success';
  });
};