"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.downloadFile = void 0;

exports.downloadFile = function (uri, name) {
  var a = document.createElement('a');
  a.href = uri;

  if (name) {
    a.download = name;
  }

  a.style.position = 'fixed';
  a.style.visibility = 'hidden';
  document.body.appendChild(a);
  a.click();
  document.body.removeChild(a);
};