declare type StorageType = 'sessionStorage' | 'localStorage';
interface WebStorageProps {
    type?: StorageType;
    key: string;
}
export declare class WebStorage {
    private readonly _key;
    private readonly storage;
    constructor(props: WebStorageProps);
    get state(): any;
    set state(data: any);
    get key(): string;
    merge(data: any): void;
    clear(): void;
}
export {};
